<template>
  <v-container>
    <v-row>
      <v-col>
        <div style="color: #00468A; font-weight: 600; font-size: 18px;   font-family: unset;">ESGATE HOŞGELDİN</div>
        <div style="font-weight: 600; font-size: 18px;"> {{ Name }}</div>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import store from '@/store'
import UserService from "@/services/UserService";
import { ref, onMounted } from 'vue';
export default {

  name: 'EsgateView',
  setup() {
    const Name = ref("");
    const GetUserByUserName = (UserName) => {
      UserService.GetUserByUserName(UserName)
        .then(response => {
          const username = response.data.Response.Name + " " + response.data.Response.Surname;
          Name.value = username;
        })
        .catch(error => {
          console.log(error);
        });
    };

    onMounted(() => {
      var currentUser = store.getters.currentUser
      console.log("test", currentUser.UserName)
      GetUserByUserName(currentUser.UserName);

    });
    return {
      Name,
      GetUserByUserName
    }

  }
}
</script>

<style></style>
